summaryrefslogtreecommitdiffstats
path: root/app-misc/roadnav
diff options
context:
space:
mode:
Diffstat (limited to 'app-misc/roadnav')
-rw-r--r--app-misc/roadnav/Manifest4
-rw-r--r--app-misc/roadnav/roadnav-0.19.ebuild59
-rw-r--r--app-misc/roadnav/roadnav-0.20_alpha.ebuild62
3 files changed, 125 insertions, 0 deletions
diff --git a/app-misc/roadnav/Manifest b/app-misc/roadnav/Manifest
new file mode 100644
index 0000000..96d4371
--- /dev/null
+++ b/app-misc/roadnav/Manifest
@@ -0,0 +1,4 @@
+DIST roadnav-0.19.tar.gz 1289497 RMD160 c4ead3450bc3944c40b04108e5ae91b788813f2e SHA1 b9d3580bbd46ccbb03462a329f79962328bd2116 SHA256 6354600e10ec6be17a8f7c0282a11e80b1ad6cb4e59c979dd7e336ffcc22143e
+DIST roadnav-0.20alpha.tar.gz 1301668 RMD160 d573180eab43d03e19ac13bab312d66a6ca3d820 SHA1 02097ccf35d648fded06130c08d0355da00d198d SHA256 a0c0177b965a0a9fbcc41675d937a1146eead20f33a7312ee2ae228205ea3d0b
+EBUILD roadnav-0.19.ebuild 1430 RMD160 1b852de9819a7b3f69a0e22dd83f1ec6ed29f545 SHA1 5a5c8ee8483ed219bd236c708b740f9acc6d6718 SHA256 09984109051c0c48aaf63cf6545ccd24886859cf45076b4c4c5bebe130343790
+EBUILD roadnav-0.20_alpha.ebuild 1474 RMD160 5b9e23f0376e442080adb3f175844f0a38b17401 SHA1 9d3a9992f0f8010529205985758181dbb2cedc4a SHA256 c6f33a2ca33e6709fca52555cdcf303b5582f5bbc671d4e18e30f9f9882385e4
diff --git a/app-misc/roadnav/roadnav-0.19.ebuild b/app-misc/roadnav/roadnav-0.19.ebuild
new file mode 100644
index 0000000..242eee6
--- /dev/null
+++ b/app-misc/roadnav/roadnav-0.19.ebuild
@@ -0,0 +1,59 @@
+# Copyright 1999-2007 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/app-misc/roadnav/roadnav-0.18.ebuild,v 1.1 2007/10/08 06:23:58 dirtyepic Exp $
+
+inherit wxwidgets
+
+DESCRIPTION="Roadnav is a street map application with routing and GPS support"
+HOMEPAGE="http://roadnav.sourceforge.net"
+SRC_URI="mirror://sourceforge/roadnav/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="x86 amd64"
+IUSE="gps festival flite openstreetmap scripting"
+
+DEPEND="=x11-libs/wxGTK-2.6*
+ ~dev-libs/libroadnav-${PV}
+ festival? ( app-accessibility/festival )
+ flite? ( app-accessibility/flite )
+ gps? ( sci-geosciences/gpsd )"
+
+RDEPEND="${DEPEND}"
+
+src_compile() {
+ WX_GTK_VER=2.6
+ need-wxwidgets gtk2
+
+ econf \
+ $(use_enable festival) \
+ $(use_enable flite) \
+ $(use_enable gps gpsd) \
+ $(use_enable openstreetmap) \
+ $(use_enable scripting) \
+ --with-wx-config=${WX_CONFIG} \
+ || die "econf failed"
+
+ emake || die "emake failed"
+}
+
+src_install() {
+ emake DESTDIR="${D}" install || die "install failed"
+
+ # generic or empty
+ for f in NEWS COPYING INSTALL; do
+ rm -f "${D}"/usr/share/doc/${PN}/${f}
+ done
+
+ # --docdir is broken and hardcoded to ${PN}
+ mv "${D}"/usr/share/doc/${PN} "${D}"/usr/share/doc/${P}
+
+ insinto /usr/share/applications
+ doins "${S}"/roadnav.desktop
+}
+
+pkg_postinst() {
+ echo
+ elog "After upgrading to ${P} you will need to recompile your maps."
+ echo
+}
diff --git a/app-misc/roadnav/roadnav-0.20_alpha.ebuild b/app-misc/roadnav/roadnav-0.20_alpha.ebuild
new file mode 100644
index 0000000..ee2f5bd
--- /dev/null
+++ b/app-misc/roadnav/roadnav-0.20_alpha.ebuild
@@ -0,0 +1,62 @@
+# Copyright 1999-2007 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/app-misc/roadnav/roadnav-0.18.ebuild,v 1.1 2007/10/08 06:23:58 dirtyepic Exp $
+
+inherit wxwidgets
+
+DESCRIPTION="Roadnav is a street map application with routing and GPS support"
+HOMEPAGE="http://roadnav.sourceforge.net"
+SRC_URI="mirror://sourceforge/roadnav/${PN}-0.20alpha.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="x86 amd64"
+IUSE="gps festival flite openstreetmap scripting"
+
+DEPEND="=x11-libs/wxGTK-2.6*
+ ~dev-libs/libroadnav-${PV}
+ festival? ( app-accessibility/festival )
+ flite? ( app-accessibility/flite )
+ gps? ( sci-geosciences/gpsd )"
+
+RDEPEND="${DEPEND}"
+
+S="${WORKDIR}/${PN}-0.20alpha"
+
+
+src_compile() {
+ WX_GTK_VER=2.6
+ need-wxwidgets gtk2
+
+ econf \
+ $(use_enable festival) \
+ $(use_enable flite) \
+ $(use_enable gps gpsd) \
+ $(use_enable openstreetmap) \
+ $(use_enable scripting) \
+ --with-wx-config=${WX_CONFIG} \
+ || die "econf failed"
+
+ emake || die "emake failed"
+}
+
+src_install() {
+ emake DESTDIR="${D}" install || die "install failed"
+
+ # generic or empty
+ for f in NEWS COPYING INSTALL; do
+ rm -f "${D}"/usr/share/doc/${PN}/${f}
+ done
+
+ # --docdir is broken and hardcoded to ${PN}
+ mv "${D}"/usr/share/doc/${PN} "${D}"/usr/share/doc/${P}
+
+ insinto /usr/share/applications
+ doins "${S}"/roadnav.desktop
+}
+
+pkg_postinst() {
+ echo
+ elog "After upgrading to ${P} you will need to recompile your maps."
+ echo
+}